Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230838 - JMB363 drives seen as both SDA and HDA DMA_BASE INVALID - GA-M59SLI-S5
Summary: JMB363 drives seen as both SDA and HDA DMA_BASE INVALID - GA-M59SLI-S5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-03 13:14 UTC by Gerald Cox
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-18 14:42:56 UTC


Attachments (Terms of Use)
Output from running dmesg (deleted)
2007-03-03 13:14 UTC, Gerald Cox
no flags Details
Output from running dmesg after kernel patch (deleted)
2007-03-31 21:50 UTC, Gerald Cox
no flags Details

Description Gerald Cox 2007-03-03 13:14:36 UTC
Description of problem:
Building new system using Gigabye GA-M59SLI-S5 which uses JMB363 SATA
Controller.  Receive message at boot:

JMB363: port 0x01f0 already claimed by ide0
JMB363: dma_base is invalid
ide1: JMB363 Bus-Master DMA disabled (BIOS)

Two attached drives unusable.  Second drive never visable.  First drive seen as
both device hdg and device sdg.

Output from dmesg attached.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2911.6.4.fc6
problem also occurred in base install kernel-2.6.18-1.2798.fc6


How reproducible:
Everytime by booting system.


Steps to Reproduce:
1.  Boot system

  
Actual results:
Above errors, drives unusable.  System stability questionable.


Expected results:
Drives usable, no error messages.  System stable, functioning RAID array, etc.

Additional info:

Comment 1 Gerald Cox 2007-03-03 13:14:36 UTC
Created attachment 149177 [details]
Output from running dmesg

Comment 2 Gerald Cox 2007-03-03 16:35:45 UTC
Found where this problem is also reported here:
http://lkml.org/lkml/2007/1/6/76

Comment 3 Chuck Ebbert 2007-03-30 22:12:29 UTC
A test kernel is at http://people.redhat.com/cebbert

There are many SATA fixes and a jmicron patch.

Please test.


Comment 4 Gerald Cox 2007-03-31 21:50:30 UTC
Created attachment 151367 [details]
Output from running dmesg after kernel patch

Output from dmesg after update to kernel-2.6.20-1.2936.fc6

Comment 5 Gerald Cox 2007-03-31 21:55:08 UTC
Looks alot better after kernel update to 2.6.20-1.2936.fc6.  Was able to use
drives in raid array - however, still receiving error messages at startup and
drives aren't showing as SATA2 300.  Attached output from dmesg.  Please advise
if you need additional information/testing.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.